## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
# https://github.com/jaegertracing/jaeger-client-go/issues/395
%ifnarch %{ix86} %{arm} s390x
%bcond_without check
%endif

# https://github.com/uber/jaeger-client-go
%global goipath         github.com/uber/jaeger-client-go
Version:                2.30.0

%gometa

%global goaltipaths     github.com/jaegertracing/jaeger-client-go

%global common_description %{expand:
Instrumentation library that implements an OpenTracing Tracer for Jaeger
(https://jaegertracing.io).}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md RELEASE.md CHANGELOG.md

Name:           %{goname}
Release:        %autorelease
Summary:        Jaeger Bindings for Go OpenTracing API

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/crossdock/crossdock-go)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/ext)
BuildRequires:  golang(github.com/opentracing/opentracing-go/log)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/uber/jaeger-lib/metrics)
BuildRequires:  golang(go.uber.org/atomic)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/opentracing/opentracing-go/harness)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/stretchr/testify/suite)
BuildRequires:  golang(github.com/uber/jaeger-lib/metrics/metricstest)
BuildRequires:  golang(go.uber.org/zap/zaptest/observer)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in crossdock; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# .: https://github.com/jaegertracing/jaeger-client-go/issues/524
%gocheck -d .
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md RELEASE.md CHANGELOG.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.30.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.30.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.30.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.30.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 2.30.0-5
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.30.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2.30.0-3
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.30.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Mar 04 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.30.0-1
- Update to 2.30.0 (fix FTBFS) Close: rhbz#1950620 Close: rhbz#2045622

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jul 30 23:33:03 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.25.0-1
- Update to 2.25.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 06 00:52:08 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.16.0-1
- Initial package

